Here is the overview of the documents in the doc/ directory.

Subdirectories:

features/               - Documents about features and standards
technical/              - Technical documents about ircd internals and
                          protocol information
sgml/                   - SGML documentation

Files:

ircd.conf.example       - An example ircd.conf file describing most of the
                          user settable options
ircd.motd               - A default ircd.motd used by make install
reference.conf          - A complete example showing all possible config
                          options
credits-past.txt        - Credits for the predecessors to Charybdis
logfiles.txt            - Description of formatting of some logfiles
server-version-info.txt - Overview of the flags shown in /version

Also in the contrib/ directory you will find:
example_module.c - An example module, detailing what the code in a module
		   does.  Useful for building your own modules.
